using System;

internal sealed class Delegate566 : MulticastDelegate
{
	public extern DateTime Invoke(DateTime dateTime_0, TimeZoneInfo timeZoneInfo_0);

	public static DateTime smethod_0(DateTime dateTime_0, TimeZoneInfo timeZoneInfo_0, Delegate566 delegate566_1)
	{
		return delegate566_1(dateTime_0, timeZoneInfo_0);
	}

	public extern Delegate566(object object_0, IntPtr intptr_0);

	static Delegate566()
	{
		Class10.smethod_13(typeof(Delegate566).TypeHandle);
	}

	internal static Delegate566 delegate566_0;
}
